Page MenuHomePhabricator

Update AMC setting name and description text
Closed, ResolvedPublic0.5 Estimated Story Points

Assigned To
Authored By
alexhollender_WMF
Feb 20 2019, 3:45 PM
Referenced Files
F28493116: IMG_09DAE562992D-1.jpeg
Mar 28 2019, 8:18 AM
F28493115: IMG_5E5A5F6A1F3F-1.jpeg
Mar 28 2019, 8:18 AM
F28301297: T216628-2.png
Feb 28 2019, 3:06 PM
F28301292: T216628-1.png
Feb 28 2019, 3:06 PM
Tokens
"Like" token, awarded by Volker_E."Meh!" token, awarded by Jdlrobson.

Description

Setting name: Advanced contributions mode
Description text: We are actively developing new features for advanced editors. By turning this mode on you will automatically get new features as they are released. Any feedback or collaboration would be appreciated.
*Note: this change applies to all users, regardless of whether AMC is on or off.

currentcorrected
reading-web-staging.wmflabs.org_w_index.php_title=Special_MobileOptions&returnto=Main+Page(iPhone 6_7_8).png (1×750 px, 139 KB)
reading-web-staging.wmflabs.org_w_index.php_title=Special_MobileOptions&returnto=Main+Page(iPhone 6_7_8).png (1×750 px, 144 KB)

QA Results

StatusDetails
✅ PassedT216628#4991093

QA Results:Production(idwiki)

StatusDetails
✅ PassedT216628#5064915

Event Timeline

alexhollender_WMF created this task.
ovasileva removed the point value for this task.
ovasileva added a subscriber: Edtadros.

Change 493074 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] i18n tweak to mobile contributions mode name

https://gerrit.wikimedia.org/r/493074

Shouldn't this still somehow indicate it's a mobile-only feature that won't affect people's desktop editing experience? (The "Over the next few months..." text that follows doesn't clarify this either. And btw, it seems oddly time-bound - are we going to update it after the rollout starts?)

@Tbayer thanks for the feedback.

  1. Time-bound — I wonder what would work better here. For example, "Between March and June we will be...". Any other ideas?
  2. Mobile-only — I believe all of the settings on mobile are mobile only. I'm not sure if it needs to be clarified.
In T216628#4985660, @alexhollender wrote:

@Tbayer thanks for the feedback.

  1. Time-bound — I wonder what would work better here. For example, "Between March and June we will be...". Any other ideas?

I would avoid mentioning months by name. Maybe we can say something like "we're currently working on a project..."

  1. Mobile-only — I believe all of the settings on mobile are mobile only. I'm not sure if it needs to be clarified.

Can somebody please put the required text in the description and agree on it? I don't want to send an incomplete translation to our translators and waste their time.

@ovasileva @Tbayer proposed text:

We are actively developing new features for advanced editors (contributors?). By turning this mode on you will automatically get new features as they are released. Any feedback or collaboration would be appreciated.

In T216628#4986235, @alexhollender wrote:

@ovasileva @Tbayer proposed text:

We are actively developing new features for advanced editors (contributors?). By turning this mode on you will automatically get new features as they are released. Any feedback or collaboration would be appreciated.

Sounds fine to me!

In T216628#4986235, @alexhollender wrote:

@ovasileva @Tbayer proposed text:

We are actively developing new features for advanced editors (contributors?). By turning this mode on you will automatically get new features as they are released. Any feedback or collaboration would be appreciated.

Sounds fine to me!

Sounds good to me too. I think let's go with "editors" also as it might be more recognizable?

ok great, adding it to the task description and updating the mockup.

alexhollender_WMF renamed this task from Update AMC setting name to "Advanced contributions mode" to Update AMC setting name and description text.Feb 27 2019, 12:31 PM
alexhollender_WMF updated the task description. (Show Details)

Change 493074 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] i18n tweak to mobile contributions mode name

https://gerrit.wikimedia.org/r/493074

Looks awesome, thanks for pinging me.

Test Result

Status: ✅ PASS
OS: macOS Mojave
Browser: Chrome DevTools Device Emulator (iPhone X)

Test Artifact(s):

AMC On:

T216628-1.png (2×1 px, 271 KB)

AMC Off:

T216628-2.png (2×1 px, 273 KB)

ovasileva claimed this task.

Test Result:Production

Status: ✅ PASS
OS: iOS
Browser: Chrome browser on (iPhone XS Max)

Test Artifact(s):

AMC ON:

IMG_5E5A5F6A1F3F-1.jpeg (2×1 px, 551 KB)

AMC OFF:

IMG_09DAE562992D-1.jpeg (2×1 px, 501 KB)